Loading...
Searching...
No Matches
vector3.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <iostream>`
`#include <float.h>`
`#include <openbabel/math/vector3.h>`
`#include "../rand.h"`
`#include <openbabel/obutil.h>`

## Namespaces

namespace | OpenBabel

## Functions

std::ostream & | operator<< (std::ostream &, const vector3 &)
vector3 | cross (const vector3 &, const vector3 &)
double | vectorAngle (const vector3 &v1, const vector3 &v2)
double | CalcTorsionAngle (const vector3 &a, const vector3 &b, const vector3 &c, const vector3 &d)
const vector3 | VZero (0.0, 0.0, 0.0)
const vector3 | VX (1.0, 0.0, 0.0)
const vector3 | VY (0.0, 1.0, 0.0)
const vector3 | VZ (0.0, 0.0, 1.0)
double | Point2PlaneSigned (vector3 a, vector3 b, vector3 c, vector3 d)
double | Point2Plane (vector3 a, vector3 b, vector3 c, vector3 d)
double | Point2PlaneAngle (const vector3 a, const vector3 b, const vector3 c, const vector3 d)
double | Point2Line (const vector3 &a, const vector3 &b, const vector3 &c)

## Detailed Description

Handle 3D coordinates.